myapps:
  storage:
    root: /data/obpm-demo
  siteid:
  login:
    homeTemplateBoradType: payTemplate
  ignored:
    count:
      query:
        timeout: false
      cacahed:
        timeoutInSeconds: 300 #秒
    #freeTemplate免费  payTemplate付费  rtpayTemplate融通付费  xxpayTemplate某某公司付费
  environment: security
  region:
    disabled: true
    sourceSite: http://14.62.1.152:8190
    mappings:
      public:
        id: public
        domainId:

server:
  port: 8084
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: ${myapps.siteid}/obpm
    session:
      timeout: 3600
    jsp:
      init-parameters:
        development: true
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
    multipart:
      location: ${myapps.storage.root}/uploads/tmps

spring.activemq.packages.trust-all: true

spring:
  mvc:
    view:
      prefix: /
      suffix: .jsp
    static-path: /**
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-runtime
  cloud:
    consul:
      discovery:
#        instance-id: ${spring.application.name}:${vcap.application.instance_id:${spring.application.instance_id:${random.value}}}
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-interval: 10s
        health-check-path: ${myapps.siteid}/obpm/actuator/health
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
#        tags: management.context-path=/actuator
      host: 92.1.44.19
      port: 8500

  # 数据库访问配置
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://92.1.44.16:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false
    username: insn_security
    password: Insn_security#202205
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: false
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true
    
  jpa:
    database: mysql
    show-sql: false
    hibernate:
      ddl-auto: none
    #设置默认schema，可以为空
    properties:
      hibernate:
        default_schema:
  #Redis服务器地址
  redis:
    host: 92.1.44.16
    port: 6363
    password: Redis#2022
    lettuce: # redis连接池配置
      pool:
        max-active: -1 #连接池最大连接数(使用负值表示没有限制) 默认为30
        max-wait: -1ms # 连接池最大阻塞等待时间(使用负值表示没有限制) 默认为-1
        max-idle: 8 # 连接池中的最大空闲连接 默认为8
        min-idle: 0 # 连接池中的最小空闲连接 默认为 0    
  cache:
    redis:
      timeToLive: 360s
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/

file:
  mode:
    useFtp: false
    host: 92.1.44.15
    userName: baichuanxin
    password: Bcxin2021
    port: 21
    filePath:
feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

logging:
  config: classpath:log4j2.xml

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS
  health:
    db:
      enabled: false